Loading...
Searching...
No Matches
CFlyingObject Class Reference

Interface for objects that can fly. More...

`#include <src/object/interface/flying_object.h>`

Inheritance diagram for CFlyingObject:
[legend]

## Public Member Functions

| CFlyingObject (ObjectInterfaceTypes &types)
Public Member Functions inherited from CMovableObject
| CMovableObject (ObjectInterfaceTypes &types)
virtual CPhysics * | GetPhysics ()=0
| Returns CPhysics instance associated with this object. If the object implements Movable interface, and type != OBJECT_TOTO, this can be assumed to be != nullptr.
virtual CMotion * | GetMotion ()=0
| Returns CMotion instance associated with this object. If the object implements Movable interface, this can be assumed to be != nullptr.

## Detailed Description

Interface for objects that can fly.

The documentation for this class was generated from the following file:

- src/object/interface/flying_object.h